<?php

namespace domain\Subscription\Subscription\Event;

use domain\Subscription\Subscription\SubscriptionModule;
use justcoded\yii2\eventlistener\observers\ActiveRecordObserver;

class ProductObserver extends ActiveRecordObserver
{
    public function updated(\yii\db\AfterSaveEvent $event)
    {
        $product = $event->sender;

        // Désactivation du produit dans les abonnements s'il est configuré comme indisponible pour les abonnements
        SubscriptionModule::getInstance()->getManager()->deleteProductInSubscriptionsIfUnavailableForSubscriptions($product);
    }
}